classification
Title: DOC: Add link to sys.exc_info for "Reference Manual"
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, cheryl.sabella, mdk, miss-islington
Priority: normal Keywords: patch

Created on 2019-03-12 14:14 by cheryl.sabella, last changed 2019-09-12 13:48 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13119 merged bjoern, 2019-05-06 17:25
PR 16002 merged miss-islington, 2019-09-11 17:55
Messages (3)
msg337740 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-03-12 14:14
In the docs for `sys.exc_info()`, the description of traceback says:

traceback gets a traceback object (see the ---> Reference Manual <---) which encapsulates the call stack at the point where the exception originally occurred.

It might be nice if Reference Manual had a link.

Assigning to @Mariatta for the PyCon sprint.
msg352005 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-09-11 17:55
New changeset 9936371af298d465095ae70bc9c2943b4b16eac4 by Julien Palard (Björn Meier) in branch 'master':
bpo-36270: Doc: add link to traceback object reference (GH-13119)
https://github.com/python/cpython/commit/9936371af298d465095ae70bc9c2943b4b16eac4
msg352008 - (view) Author: miss-islington (miss-islington) Date: 2019-09-11 18:12
New changeset f79a022d762edc749d0fecdc50c567d2bb910c53 by Miss Islington (bot) in branch '3.8':
bpo-36270: Doc: add link to traceback object reference (GH-13119)
https://github.com/python/cpython/commit/f79a022d762edc749d0fecdc50c567d2bb910c53
History
Date User Action Args
2019-09-12 13:48:59mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-11 18:12:38miss-islingtonsetnosy: + miss-islington
messages: + msg352008
2019-09-11 17:55:13miss-islingtonsetpull_requests: + pull_request15627
2019-09-11 17:55:04mdksetnosy: + mdk
messages: + msg352005
2019-05-06 17:25:29bjoernsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13032
2019-03-12 14:14:36cheryl.sabellacreate